package net.knarcraft.playerpayouts.command;

import net.knarcraft.playerpayouts.manager.PermissionManager;
import net.knarcraft.playerpayouts.util.TabCompletionHelper;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.command.TabCompleter;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.ArrayList;
import java.util.List;

/**
 * The tab-completer for the set group payment command
 */
public class SetGroupPaymentTabCompleter implements TabCompleter {

    @Nullable
    @Override
    public List<String> onTabComplete(@NotNull CommandSender commandSender, @NotNull Command command, @NotNull String s,
                                      @NotNull String[] arguments) {
        if (!PermissionManager.isInitialized()) {
            return null;
        }

        if (arguments.length == 1) {
            // List permission groups
            return TabCompletionHelper.filterMatchingContains(List.of(PermissionManager.getPermissionGroups()),
                    arguments[0]);
        } else if (arguments.length == 2) {
            // List possible payout values
            return TabCompletionHelper.filterMatchingStartsWith(List.of("clear", "null", "none", "5", "10", "100"),
                    arguments[1]);
        }
        return new ArrayList<>();
    }

}
