package net.knarcraft.playerpayouts.util;

import org.jetbrains.annotations.NotNull;

/**
 * A helper-class for dealing with strings
 */
public final class StringHelper {

    private StringHelper() {

    }

    /**
     * Checks whether the given string value denotes a non-value
     *
     * @param value <p>The string value to check</p>
     * @return <p>True if the given value is a non-value</p>
     */
    public static boolean isNonValue(@NotNull String value) {
        return value.equalsIgnoreCase("null") || value.equalsIgnoreCase("none") ||
                value.equalsIgnoreCase("clear");
    }

}
